Solar Orbiter LFR - Bug #307

numeéro de version du VHDL non accessible aprés un reset HW
05/01/2015 08:18 AM - paul leroy

Status: Closed Start date: 05/01/2015
Priority: Normal Due date:

Assignee: paul leroy % Done: 50%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Le numéro de version VHDL devrait étre lisible aprés la mise sous tension de la carte ou apres un reset hardware. Si on fait une
lecture dans les registre 0x80000f00 sur I'EM (1.1.35), on ne voit que des zéros.

History

#1 - 05/01/2015 12:48 PM - Jean-Christophe Pellion
- Status changed from New to Feedback
- Assignee changed from Jean-Christophe Pellion to paul leroy

- % Done changed from 0 to 50

Le registre contenant la version du VHDL fait partie des registres APB_LFR.

Apres un reset HW, le sous systémes LFR est en reset. Ce qui implique que les registres APB_LFR aussi. Il est donc normal que la valeur lu soit
0x00000000.

Pour lire cette valeur, il faut

- soit démarrer le sous module LFR (ce qui n'implique pas le démarrage de I'acquisition),

- soit que je déplace ce registre pour le mettre dans les registres du time managment.

#2 - 05/02/2015 08:32 AM - paul leroy
- Status changed from Feedback to Closed
